import java.awt.BorderLayout;
import java.awt.FlowLayout;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;
import javax.swing.border.EmptyBorder;
import java.awt.event.ActionListener;
import java.io.IOException;
import java.awt.event.ActionEvent;

public class AddProduct extends JDialog {

	private final JPanel contentPanel = new JPanel();
	private JTextField textField;
	private JTextField textField_1;
	private JTextField textField_2;
	private JTextField textField_3;
	private JTextField textField_4;

	/**
	 * Launch the application.
	 */

	/**
	 * Create the dialog.
	 * @throws UnsupportedLookAndFeelException 
	 * @throws IllegalAccessException 
	 * @throws InstantiationException 
	 * @throws ClassNotFoundException 
	 */
	public AddProduct(Warehouse w) throws ClassNotFoundException, InstantiationException, IllegalAccessException, UnsupportedLookAndFeelException {
		setModal(true);
		UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		setResizable(false);
		setBounds(100, 100, 262, 233);
		getContentPane().setLayout(new BorderLayout());
		contentPanel.setBorder(new EmptyBorder(5, 5, 5, 5));
		getContentPane().add(contentPanel, BorderLayout.CENTER);
		contentPanel.setLayout(null);
		
		textField = new JTextField();
		textField.setBounds(95, 11, 140, 20);
		contentPanel.add(textField);
		textField.setColumns(10);
		
		textField_1 = new JTextField();
		textField_1.setColumns(10);
		textField_1.setBounds(95, 42, 140, 20);
		contentPanel.add(textField_1);
		
		textField_2 = new JTextField();
		textField_2.setColumns(10);
		textField_2.setBounds(95, 73, 140, 20);
		contentPanel.add(textField_2);
		
		textField_3 = new JTextField();
		textField_3.setColumns(10);
		textField_3.setBounds(95, 104, 140, 20);
		contentPanel.add(textField_3);
		
		textField_4 = new JTextField();
		textField_4.setColumns(10);
		textField_4.setBounds(95, 135, 140, 20);
		contentPanel.add(textField_4);
		
		JLabel lblCodice = new JLabel("Codice");
		lblCodice.setBounds(10, 14, 46, 14);
		contentPanel.add(lblCodice);
		
		JLabel lblNome = new JLabel("Nome");
		lblNome.setBounds(10, 45, 46, 14);
		contentPanel.add(lblNome);
		
		JLabel lblQuantit = new JLabel("Quantit\u00E0");
		lblQuantit.setBounds(10, 76, 46, 14);
		contentPanel.add(lblQuantit);
		
		JLabel lblMinimo = new JLabel("Minimo");
		lblMinimo.setBounds(10, 107, 46, 14);
		contentPanel.add(lblMinimo);
		
		JLabel lblPrezzoUn = new JLabel("Prezzo un.");
		lblPrezzoUn.setBounds(10, 138, 75, 14);
		contentPanel.add(lblPrezzoUn);
		{
			JPanel buttonPane = new JPanel();
			buttonPane.setLayout(new FlowLayout(FlowLayout.RIGHT));
			getContentPane().add(buttonPane, BorderLayout.SOUTH);
			{
				JButton okButton = new JButton("OK");
				okButton.addActionListener(new ActionListener() {
					public void actionPerformed(ActionEvent arg0) {
						String code = textField.getText(),
							   name = textField_1.getText(),
							   quantity = textField_2.getText(),
							   minimum = textField_3.getText(),
							   price = textField_4.getText();
						
						if(code.isEmpty() || name.isEmpty() || quantity.isEmpty() || minimum.isEmpty() || minimum.equals("0") || quantity.equals("0") || price.isEmpty())	
							return;
						
						Product product = new Product(code, name, Integer.parseInt(quantity), Integer.parseInt(minimum), Double.parseDouble(price));
						try {
							if(w.insertProduct(product)) {
								WarehouseMain.list.setListData(Warehouse.toArray());
								FileInteractor f1 = new FileInteractor("files/log.txt");
								f1.log("aggiunta", code);
								dispose();
							}
							else
								JOptionPane.showMessageDialog(null, "Il prodotto esiste gi!");
						} catch (IOException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}							   
					}
				});
				okButton.setActionCommand("OK");
				buttonPane.add(okButton);
				getRootPane().setDefaultButton(okButton);
			}
			{
				JButton cancelButton = new JButton("Cancel");
				cancelButton.addActionListener(new ActionListener() {
					public void actionPerformed(ActionEvent e) {
						dispose();
					}
				});
				cancelButton.setActionCommand("Cancel");
				buttonPane.add(cancelButton);
			}
		}
	}
}
